MCP Gateway Provisioning

Operations related to MCP Gateway provisioning.

Trigger a MCP Gateway cluster restore.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
Array of objects (ClusterDataCentreRestoreConfigV2)

An optional list of Cluster Data Centres to determine their VPC in the restored cluster.

Data centres not included will default to being restored to a new VPC.

pointInTime
string

Timestamp in milliseconds since epoch or ISO formatted date and time (example - 2023-11-05T13:15:30Z). All backed up data will be restored for this point in time.

Defaults to the current date and time.

restoredClusterName
string [ 3 .. 48 ] characters [a-zA-Z0-9][a-zA-Z0-9_-]*

The display name of the restored cluster.

By default, the restored cluster will be created with its current name appended with “restored” and the date & time it was requested to be restored.

clusterId
required
string <uuid>

ID of the cluster

Responses
202

Successfully requested MCP Gateway cluster restore.

post/cluster-management/v2/operations/applications/mcp-gateway/restore/v1
Request samples
application/json
{
  • "cdcConfigs": [
    ],
  • "clusterId": "c0e5e2ff-affe-444c-bdca-707c7b48aaad",
  • "pointInTime": 1420070400000,
  • "restoredClusterName": "my-restored-cluster"
}
Response samples
application/json
{
  • "cdcConfigs": [
    ],
  • "clusterId": "c0e5e2ff-affe-444c-bdca-707c7b48aaad",
  • "pointInTime": 1420070400000,
  • "restoredClusterId": "b8a32a20-d8e0-11a7-def4-sdc278a6a50b",
  • "restoredClusterName": "my-restored-cluster"
}